#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname		%(echo %{name} | cut -d '-' -f2)
#-----------------------------------------------------------------------------
Name		:	c-ares
Version		:	1.34.2
Release		:	17.2.0.rel%{?dist}
Summary		:	A library that performs asynchronous DNS operations
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	https://c-ares.haxx.se
			#https://github.com/c-ares/c-ares/

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	autoconf
BuildRequires	:	automake
BuildRequires	:	gcc
BuildRequires	:	libtool
BuildRequires	:	make
#-----------------------------------------------------------------------------
%description
c-ares is a C library that performs DNS requests and name resolves
asynchronously. c-ares is a fork of the library named 'ares', written
by Greg Hudson at MIT

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root,-)
%doc	AUTHORS README.md
%license LICENSE.md
%{_bindir}/adig
%{_bindir}/ahost
%{_libdir}/libc%{sname}.so.2*
%{_mandir}/man1/adig.1.gz
%{_mandir}/man1/ahost.1.gz

#=============================================================================
%package		devel

Summary		:	Development files for c-ares

#-----------------------------------------------------------------------------
Requires	:       %{name} = %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
This package contains the header files and
libraries needed to compile applications or
shared objects that use c-ares.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root, -)
%{_includedir}/%{sname}*.h
%{_libdir}/libc%{sname}.so
%{_libdir}/pkgconfig/libc%{sname}.pc
%{_libdir}/cmake/%{name}/%{name}-*.cmake
%{_mandir}/man3/%{sname}_*.3.gz

#=============================================================================
%prep
%setup -q
#-----------------------------------------------------------------------------
#building application
%build

cmake							\
	-B _bld						\
	-G Ninja					\
	-S .						\
	-D CMAKE_INSTALL_PREFIX=%{_prefix}		\
	-D CMAKE_INSTALL_FULL_LIBDIR=%{_libdir}		\
	-D CARES_BUILD_TOOLS=ON				\

cmake							\
	--build						\
	_bld						\
	--parallel %(/usr/bin/getconf _NPROCESSORS_ONLN)\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install

DESTDIR=%{buildroot}					\
	cmake						\
	--install _bld					\

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%changelog
